@import "abstracts/mixins";
@import "abstracts/vars";
@import "base/fontawesome/font-awesome-mix-var";

.flip-box {
    background-color: transparent;
    width: 100%;
    height: 450px;
    perspective: 1000px;

    &.hover{
       overflow: hidden;
        &>div.row{
            transform: rotateX(-180deg);
        }
    }
    &>div.row {
        position: relative;
        width: 100%;
        height: 100%;
        transition: transform 0.8s;
        transform-style: preserve-3d;

        .flip-box-front {
            position: absolute;
            width: 100%;
            height: 100%;
            backface-visibility: hidden;
            -webkit-backface-visibility:hidden;
        }
        .flip-box-back {
            position: absolute;
            width: 100%;
            height: 100%;
            backface-visibility: hidden;
            -webkit-backface-visibility:hidden;
            color: white;
            transform: rotateX(180deg);
            &.front{
                backface-visibility: visible;
                -webkit-backface-visibility:visible;
            }
            >div.component-content{
                background-size: cover;
                height: 100%;
            }
            div{
                height: 100%;
                .wrapper{
                    height: auto;
                    display: flex;
                    .message{
                        height: auto;
                    }
                }
            
            }
        }
      }
  }

  @media (max-width: 1024px){
    .flip-box {
    height: 356px;
    }

  }

